> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> Create Account



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml post /accounts
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts:
    post:
      tags:
        - Accounts
      summary: Create Account
      description: Create Account
      operationId: createAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              title: CreateAccountRequest
              required:
                - name
                - assets
              properties:
                assets:
                  type: array
                  description: >-
                    The list of assets to be associated with the account. Assets
                    are used to determine the account balance.
                  example:
                    - HKD
                    - USD
                    - BTC
                    - ETH
                    - BUSD
                    - USDT
                    - USDC
                  items:
                    type: string
                xmetadata:
                  $ref: '#/components/schemas/Xmetadata'
                xid:
                  $ref: '#/components/schemas/Xid'
                idempotencyKey:
                  $ref: '#/components/schemas/IdempotencyKey'
                name:
                  type: string
                  description: A human-friendly non unique name for a account
                  example: Acme Inc Treasury
                  maxLength: 128
      responses:
        '200':
          description: Account created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Account'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      code:
                        type: string
                        example: ACCOUNT_EXISTS
                      message:
                        type: string
                        example: Account with the supplied xid or id already exists
components:
  schemas:
    Xmetadata:
      type: object
      description: External metadata
      example:
        key1: value1
        key2:
          - value2.1
          - value2.2
      additionalProperties: true
      oneOf:
        - type: string
        - type: array
          items:
            type: string
    Xid:
      type: string
      description: >-
        External identifier, unique across all resources created under this
        account.
    IdempotencyKey:
      type: string
      description: >-
        Unique idempotency key for ensuring exactly-once execution of mutating
        requests.
      format: string
      example: xeev1she5eegh9daiviethahchoo1muW
    Account:
      type: object
      description: An account
      properties:
        id:
          type: string
          description: Account id
        xid:
          type: string
          description: Account external id
        xmetadata:
          type: object
          description: Account metadata
          additionalProperties: {}
        name:
          type: string
          description: Account name
        accountNumber:
          type: string
          description: Account Number
        description:
          type: string
          description: Account description
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````